## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanNodeList Class Reference

Inheritance diagram for XalanNodeList:

[legend]
List of all members.

## Get functions.

- virtual XalanNode * item (unsigned int index) const=0
    Returns the `index`th item in the collection.
- virtual unsigned int getLength () const=0
    Returns the number of nodes in the list.
- XalanNodeList (const XalanNodeList &theSource)
- XalanNodeList & operator= (const XalanNodeList &theSource)
- bool operator== (const XalanNodeList &theRHS) const

## Public Member Functions

- XalanNodeList ()
- virtual ~XalanNodeList ()

## Constructor & Destructor Documentation

XalanNodeList::XalanNodeList | ( |  | ) |

virtual XalanNodeList::~XalanNodeList | ( |  | ) | `[virtual]`

XalanNodeList::XalanNodeList | ( | const XalanNodeList & | theSource | ) | `[protected]`

## Member Function Documentation

virtual unsigned int XalanNodeList::getLength | ( |  | ) | const`[pure virtual]`

| Returns the number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Implemented in XalanNodeListDummy, XalanNodeListSurrogate, XercesNodeListWrapper, and XercesNodeListBridge.

virtual XalanNode* XalanNodeList::item | ( | unsigned int | index | ) | const`[pure virtual]`

  | Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`. Parameters:
  index | Index into the collection.
Returns: The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index. Implemented in XalanNodeListDummy, XalanNodeListSurrogate, XercesNodeListWrapper, and XercesNodeListBridge.

XalanNodeList& XalanNodeList::operator= | ( | const XalanNodeList & | theSource | ) | `[protected]`

bool XalanNodeList::operator== | ( | const XalanNodeList & | theRHS | ) | const`[protected]`

The documentation for this class was generated from the following file:

- XalanNodeList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.